Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.expression.operator
Class ClassNewInstance

    java.lang.Object
      |
      +--com.bea.p13n.expression.internal.ComplexExpressionImpl
            |
            +--com.bea.p13n.expression.operator.Operator
                  |
                  +--com.bea.p13n.expression.operator.ClassNewInstance

public final class ClassNewInstance
extends Operator

Implementation of the ClassNewInstance operator. Returns an newly constructed object by invoking a specified constructor.
Input 1: A Class object (or expression that evaluates to a Class) that defines the Class that should be created.
Input 2: A Class[] (or expression that evaluates to a Class[]) that defines the signature of the constructor that should be invoked. If input 2 is null the operator will attempt to deduce the constructor to call from the arguments (input 3).
Input 3: A Object[] (or expression that evaluates to a Object[]) that contains the arguments that should be passed to the constructor.
Returns: A new instance of the class, instantiated with the constructor of the provided signature using the supplied arguments..

See Also:
  Serialized Form

Constructor Summary
`ClassNewInstance()` Constructs an empty operator and operands can be added later by calling addSubExpression() on this.
`ClassNewInstance(java.lang.Object clazz, java.lang.Object constructorSignature, java.lang.Object args)` Constructs this with the given `clazz`, `constructorSignature`

Method Summary
`java.lang.Class[]` | `getParameterSignature()`

Methods inherited from class com.bea.p13n.expression.operator.Operator
`leftHandSide, operand, rightHandSide`

Methods inherited from class com.bea.p13n.expression.internal.ComplexExpressionImpl
`addListener, addSubExpression, clearCache, clone, createProxyExpression, equals, getCachedValue, getParent, getSource, getSubExpression, getSubExpressionCount, getUserData, hashCode, isCached, isCacheEnabled, isEqualitySubExpression, notifyListeners, removeAllSubExpressions, removeListener, removeSubExpression, removeSubExpression, setCachedValue, setCacheEnabled, setParent, setSource, setSubExpression, setUserData, toString, write`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClassNewInstance

    public ClassNewInstance()

  Constructs an empty operator and operands can be added later by calling addSubExpression() on this.

### ClassNewInstance

    public ClassNewInstance(java.lang.Object clazz,
                            java.lang.Object constructorSignature,
                            java.lang.Object args)

  Constructs this with the given `clazz`, `constructorSignatureargs` parameters.

  Parameters:
    `clazz` - The `Class` whose instance has to be created.
    `constructorSignature` - The parameter signature of a constructor that will be used to create an instance of `clazz`.
    `args` - The arguments to be passed to the constructor.

Method Detail

### getParameterSignature

    public java.lang.Class[] getParameterSignature()

  Overrides:
    getParameterSignature in class com.bea.p13n.expression.internal.ComplexExpressionImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved